main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('intro/', views.intro, name='intro'),
    path('profile/', views.profile, name='profile'),
    path('experiences/', views.experiences, name='experiences'),
    path('hobby/', views.hobby, name='hobby'),
]

story4/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
]

main/models.py
from django.db import models

# Create your models here.

main/views.py
from django.shortcuts import render


def home(request):
    return render(request, 'main/home.html')


def profile(request):
    return render(request, 'main/profile.html')

def intro(request):
    return render(request, 'main/intro.html')

def experiences(request):
    return render(request, 'main/experiences.html')

def hobby(request):
    return render(request, 'main/hobby.html')

main/templates/main/EXPERIENCES.html
<!--{% load static %}-->
{% extends 'base.html' %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <link href='https://fonts.googleapis.com/css?family=Roboto Condensed' rel='stylesheet'>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="style.css">
    <title>STORY 3</title>


</head>
<style>
  * {
    box-sizing: border-box;
  }
  
  body {
    font-family: Arial, Helvetica, sans-serif;
  }
  
  /* Float four columns side by side */
  .column {
    float: left;
    width: 30%;
    padding: 0 10px;
  }

  .column5 {
    float: left;
    width: 5%;
    padding: 0 10px;
    background-color: rgb(0, 0, 0);
  }
  
  /* Remove extra left and right margins, due to padding */
  .row {margin: 0 -5px;}
  
  /* Clear floats after the columns */
  .row:after {
    content: "";
    display: table;
    clear: both;
  }
  
  /* Responsive columns */
  @media screen and (max-width: 600px) {
    .column {
      width: 100%;
      display: block;
      margin-bottom: 20px;
    }
  }
  
  /* Style the counter cards */
  .card {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    padding: 16px;
    text-align: center;
    background-color: #f1f1f1;
  }

  .cardblack {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    padding: 16px;
    text-align: center;
    background-color: #000000;
  }

  .cardred {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    padding: 16px;
    text-align: center;
    background-color: rgb(131, 7, 7);
  }

  </style>

<body style="background-color:rgb(0, 0, 0);">
    <br>  
    {% block meta %}{% include "/includes/navbar.html" %}{% endblock meta %}
  <br>
  
  <div class="row">
    <br>
    <br>
    <br>
    <div class="column5">..</div>
    <div class="column">
      <div class="cardred">
        <h2>EDUCATION DETAILS</h2></div>
    </div>
    <div class="column">
      <div class="cardred">
        <h2>COMMITTEE AND ORGANIZATIONS</h2></div>
    </div>
    <div class="column">
      <div class="cardred">
        <h2>SKILLS</h2></div>
    </div>
    <div class="column5">..</div>
  </div>

  <!------1 box-------->
  <div class="row">
  <br>
  <br>
    <div class="column5">..</div>
    <div class="column">
      <div class="card">2006-2007</div>
    </div>
    <div class="column">
      <div class="card">UKM SINEMATOGRAFI UI</div>
    </div>
    <div class="column">
      <div class="card">PROGRAMMING LANGUAGES</div>
    </div>
    <div class="column5">..</div>
  </div>

  <div class="row">
      <div class="column5">..</div>
      <div class="column">
        <div class="card">FAJAR KINDERGARTEN</div>
      </div>
      <div class="column">
        <div class="card">MEMBER</div>
      </div>
      <div class="column">
        <div class="card">PYTHON, JAVA</div>
      </div>
      <div class="column5">..</div>
    </div>

      <!------1 box-------->
  <div class="row">
    <br>
    <br>
      <div class="column5">..</div>
      <div class="column">
        <div class="card">2007-2013</div>
      </div>
      <div class="column">
        <div class="card">PESTA RAKYAT KOMPUTER 2020</div>
      </div>
      <div class="column">
        <div class="card">GRAPHIC DESIGN SOFTWARE</div>
      </div>
      <div class="column5">..</div>
    </div>
  
    <div class="row">
        <div class="column5">..</div>
        <div class="column">
          <div class="card">SAINT ANTONIUS PRIMARY SCHOOL</div>
        </div>
        <div class="column">
          <div class="card">VISUAL GRAPHIC DESIGNER</div>
        </div>
        <div class="column">
          <div class="card">PHOTOSHOP, FIGMA, CANVA</div>
        </div>
        <div class="column5">..</div>
      </div>

  <!------1 box-------->
  <div class="row">
    <br>
    <br>
      <div class="column5">..</div>
      <div class="column">
        <div class="card">2013-2016</div>
      </div>
      <div class="column">
        <div class="card">COMPFEST 12</div>
      </div>
      <div class="column">
        <div class="card">LANGUAGES</div>
      </div>
      <div class="column5">..</div>
    </div>
  
    <div class="row">
        <div class="column5">..</div>
        <div class="column">
          <div class="card">SAINT THOMAS 1 JUNIOR HIGH SCHOOL</div>
        </div>
        <div class="column">
          <div class="card">SPONSORSHIP AND MEDIA PARTNER</div>
        </div>
        <div class="column">
          <div class="card">BAHASA INDONESIA, ENGLISH, KOREAN</div>
        </div>
        <div class="column5">..</div>
      </div>

        <!------1 box-------->
  <div class="row">
    <br>
    <br>
      <div class="column5">..</div>
      <div class="column">
        <div class="card">2016-2019</div>
      </div>
      <div class="column">
        <div class="card">TEATER BIRU MERAH</div>
      </div>
      <div class="column">
        <div class="cardblack">SKILLS</div>
      </div>
      <div class="column5">..</div>
    </div>
  
    <div class="row">
        <div class="column5">..</div>
        <div class="column">
          <div class="card">SAINT THOMAS 1 SENIOR HIGH SCHOOL</div>
        </div>
        <div class="column">
          <div class="card">SCRIPT WRITER</div>
        </div>
        <div class="column">
          <div class="cardblack">SKILLS</div>
        </div>
        <div class="column5">..</div>
      </div>


              <!------1 box-------->
  <div class="row">
    <br>
    <br>
      <div class="column5">..</div>
      <div class="column">
        <div class="card">2019-PRESENT</div>
      </div>
      <div class="column">
        <div class="cardblack">COMMITTEE AND ORGANIZATIONS</div>
      </div>
      <div class="column">
        <div class="cardblack">SKILLS</div>
      </div>
      <div class="column5">..</div>
    </div>
  
    <div class="row">
        <div class="column5">..</div>
        <div class="column">
          <div class="card">UNIVERSITY OF INDONESIA</div>
        </div>
        <div class="column">
          <div class="cardblack">COMMITTEE AND ORGANIZATIONS</div>
        </div>
        <div class="column">
          <div class="cardblack">SKILLS</div>
        </div>
        <div class="column5">..</div>
      </div>

</body>
</html>

main/templates/main/PICTURES.html
<!--{% load static %}-->
{% extends 'base.html' %}
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <link href='https://fonts.googleapis.com/css?family=Roboto Condensed' rel='stylesheet'>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="style.css">
    <title>STORY 3</title>


</head>

<style>

* {
    box-sizing: border-box;
  }

.column {
  float: left;
  width: 25%;
  padding: 10px;
  height: 400px;
}

.column20 {
  float: left;
  width: 22%;
  padding: 10px;
  height: 400px;
}

.column30 {
  float: left;
  width: 28%;
  padding: 10px;
  height: 400px;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}


.imgpictures{
  position: absolute;
  width: auto;
  max-width: 320px;
  height: auto;
  border-radius: 18px;
}

.imgpictures1{
  position: absolute;
  width: auto;
  max-width: 400px;
  height: auto;
  border-radius: 18px;
}

</style>



<body style="background-color:rgb(0, 0, 0);">
    <br>  

    {% block meta %}{% include "/includes/navbar.html" %}{% endblock meta %}

  <div class="container">
  <div class="row">
    <br>
    <br>
    <br>
    <div class="column">
      <img src="IMG_3548.jpg" alt="IMG_3548" class="imgpictures">
    </div>
    <div class="column20">
      <img src="IMG_2172.jpg" alt="IMG_2172" class="imgpictures">
    </div>
    <div class="column20">
      <img src="IMG_3054.jpg" alt="IMG_2172" class="imgpictures">
    </div>
    <div class="column30">
      <img src="NSBR7896.jpg" alt="IMG_2172" class="imgpictures1">
    </div> 
  </div>

  <div class="row">
    <br>
    <br>
    <br>
    <div class="column30">
      <br>
      <br>
      <img src="butahhhhh_200419_0014.jpg" alt="butahhhhh_200419_0014" class="imgpictures1">
    </div>
    <div class="column30">
      <img src="syntax.jpg" alt="syntax" class="imgpictures1">
    </div>
  </div>



</div>

main/templates/main/home.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}

{% block content %}
  <h1>Hello, world!</h1>
  <p><img src="{% static 'img/django-logo-negative.svg' %}"></p>
  <a href="{% url 'main:profile'%}">Click here to go to the homepage</a>
{% endblock content %}

<body>
  {% include "/includes/navbar.html" %}
</body>

main/templates/main/includes/navbar.html
{% extends 'base.html' %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <link href='https://fonts.googleapis.com/css?family=Roboto Condensed' rel='stylesheet'>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="style.css">
    <title>STORY 3</title>
</head>

<style>
    ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: rgb(0, 0, 0);
  }

  
li {
  float: right;
  font-family: 'Roboto Condensed';
  font-size: 35px;
  font-weight: bolder;
  color: #000000;
}

li a, .dropbtn {
  display:-webkit-box;
  color:rgb(255, 255, 255);
  text-align: center;
  text-decoration: #d42e2e;
  padding: 14px 30px;
}

li a:hover, .dropdown:hover .dropbtn {
    background-color: rgb(131, 7, 7);
}

li.dropdown {
  display: inline-block;
}


.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

.dropdown-content a:hover {background-color: #ffffff;}

.dropdown:hover .dropdown-content {
  display: block;
}
</style>

<body>
    <ul>
        <li style="color: black;"><a href="{% url 'main:intro'%}">INTRO</a></li>
        <li><a href="{% url 'main:profile'%}">PROFILE</a></li>
          <li><a href="{% url 'main:experiences'%}">EXPERIENCES</a></li>
            <li><a href="{% url 'main:hobby'%}">HOBBY & INTEREST</a></li>
      </ul>

</body>
 

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  {% block meta %}
  {% endblock meta %}
  {% block navbar %}
  {% endblock navbar %}
</head>

<body>
  {% block content %}
  {% endblock content %}
</body>

</html>